{
  "id": "49614b7cafdfa80e31f4cc82",
  "source": "http",
  "type": "go-function",
  "title": "http.func HandleFunc ¶",
  "content": "# http.func HandleFunc ¶\n\n```\nfunc HandleFunc(pattern string, handler func(ResponseWriter, *Request))\n```\n\nHandleFunc registers the handler function for the given pattern in DefaultServeMux.\nThe documentation for ServeMux explains how patterns are matched.",
  "url": "https://pkg.go.dev/http#func HandleFunc ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func HandleFunc(pattern string, handler func(ResponseWriter, *Request))",
    "symbol": "func HandleFunc ¶"
  },
  "hash": "b4c1923d8c3ef79ca7cb366a60d2dda6078e988a3d5cc79f4bdff131546b4156",
  "timestamp": "2026-02-19T12:17:17.237483942+01:00"
}